body, html {
    overflow-x: hidden;
}

/* General styles */
body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
    padding: 0;
    overflow: hidden;
}

.header {
    background-color: #333;
    color: white;
    width: 100%;
    height: 100px;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    text-align: center;
    padding: 10px 0;
    overflow: hidden;
    z-index: 1000;
}

header {
    color: white;
    text-align: center;
    position: absolute;
    top: 30px;
    left: 10px;
    font-size: 32px;
    overflow: hidden;
    z-index: 6;
}

a {
    text-decoration: none;
    color: white;
}

.navbar {
    color: white;
    display: flex;
    align-items: center;
    position: absolute;
    right: 150px;
    justify-content: center;
    flex-wrap: wrap;
    z-index: 7;
}

.navbar a {
    margin-right: 50px;
    text-decoration: none;
    color: white;
    font-size: 24px;
    position: relative; /* Needed for the pseudo-element positioning */
    display: flex;
    align-items: center;
    padding: 10px;
}

.navbar a:last-child {
    margin-right: 0; /* Remove margin from the last link */
}

.navbar a.active::after {
    content: '';
    position: absolute;
    bottom: -31px; /* Adjust as needed */
    left: 12.5%;
    scale: 300%;
    rotate: 180deg;
    transform: translateX(-50%);
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid white; /* Adjust color as needed */
}

.contact-form {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh; /* Full viewport height */
}

.contact-form form {
    width: 100%;
    max-width: 500px; /* Optional: limit the form width */
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Optional: add some shadow for better visibility */
    background-color: gainsboro; /* Optional: set background color */
    border-radius: 8px; /* Optional: add rounded corners */
}

.field {
    margin-bottom: 10px;
  }
  
  .field label {
    display: block;
    font-size: 12px;
    color: black;
  }
  
  .field input {
    display: block;
    min-width: 250px;
    line-height: 1.5;
    font-size: 14px;
    width: 100%;
    text-align: center;
  }
  
  input[type="submit"] {
    display: block;
    padding: 6px 30px;
    font-size: 14px;
    background-color: #4460AA;
    color: #fff;
    border: none;
    margin: auto;
  }

  #message {
    height: 25px;
    text-align: left;
  }

.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 20px;
    padding: 20px;
}

.projects-container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    gap: 20px;
    padding: 20px;
    margin-top: 150px;
}

.project-item {
    text-align: center;
    transition: transform 0.3s, box-shadow 0.3s;
    border-radius: 8px;
    font-weight: bold;
    margin: 10px;
}

.project-item:hover {
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    overflow: hidden;
}

.project-item img {
    width: 100%;
    height: 200px;
    border-radius: 8px;
    object-fit: cover;
}

.project-item img.cert {
    width: 100%;
    height: 600px;
    border-radius: 8px;
    object-fit: fill;
}

.project-item p {
    margin-top: 10px;
    font-size: 16px;
    color: #333;
}

.project-item.large {
    grid-column: span 3;
    font-size: 2em; /* Adjust font size */
    padding: 20px; /* Adjust padding */
}

.project-item.small {
    font-size: 1em; /* Adjust font size */
    padding: 10px; /* Adjust padding */
}

.hamburger {
    display: none;
    font-size: 30px;
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 10px;
}

/* Responsive styles */
@media (max-width: 1060px) {
    .navbar {
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        width: 100%;
        position: absolute;
        bottom: 0;
        right: 0;
        left: 0;
        background-color: #333; /* Adjust background color as needed */
    }

    .navbar a {
        margin: 0;
        padding: 10px;
        flex: 1;
        text-align: center;
        border-top: 1px solid #ddd;
        box-sizing: border-box; /* Ensure padding and border are included in the element's total width and height */
    }

    .hamburger {
        display: block;
    }

    .navbar.active {
        display: flex;
    }

    .projects-container {
        grid-template-columns: 1fr;
        margin-top: 100px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .project-item.large {
        grid-column: span 1;
    }

    .project-item.small {
        width: 100%;
        margin: 10px 0;
        max-width: 90%; /* Optional: limit the width */
    }
}

@media (max-width: 480px) {
    html, body {
        overflow-x: hidden;
    }
    
    .header {
        font-size: 1.2em;
    }

    .navbar a {
        padding: 8px;
        font-size: 0.9em;
    }

    .project-item img {
        height: auto;
    }

    .project-item img.cert {
        height: auto;
    }

    .projects-container {
        align-items: center;
    }

    .project-item.small {
        max-width: 90%; /* Ensure it doesn't take full width */
    }
}

.about-container {
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.about-item {
    display: flex;
    align-items: center;
    gap: 20px;
}

.profile {
    border-radius: 50%;
    width: 150px;
    height: 150px;
    object-fit: cover;
}

@media (max-width: 600px) {
    .about-item {
        flex-direction: column;
        text-align: center;
    }
}

a.main {
    color: black;
    text-decoration: black underline dotted;
}

div.main{
    text-align: center;
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f9f9f9;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

a.main:hover {
    color: #bb2424;
    text-decoration: #bb2424 underline dotted;
}

.resume-container {
    margin-top: 200px;
    padding: 20px;
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    font-family: Arial, sans-serif;
    color: #333333;
    max-width: 800px;
    margin-left: auto;
    margin-right: auto;
}

.resume-container h1 {
    font-size: 2em;
    margin-bottom: 10px;
    text-align: center;
}

.resume-container p {
    margin: 5px 0;
}

.resume-container h2 {
    font-size: 1.5em;
    margin-top: 20px;
    border-bottom: 2px solid #333333;
    padding-bottom: 5px;
}

.resume-container h3 {
    font-size: 1.2em;
    margin-top: 15px;
    color: #555555;
}

.resume-container ul {
    list-style-type: disc;
    margin-left: 20px;
}

.resume-container ul li {
    margin-bottom: 5px;
}

.resume-container strong {
    font-weight: bold;

}
